Accept or decline invitations
curl --request POST \
--url https://api.semicola.com/auth/invitations/respond \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"invitationIds": [
"<string>"
],
"accept": true
}
'import requests
url = "https://api.semicola.com/auth/invitations/respond"
payload = {
"invitationIds": ["<string>"],
"accept": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({invitationIds: ['<string>'], accept: true})
};
fetch('https://api.semicola.com/auth/invitations/respond', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"user": {
"id": 123,
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>",
"isStaff": true
},
"currentCustomerId": 4503599627370495,
"customers": [
{
"id": 123,
"name": "<string>",
"company": "<string>",
"kind": "STANDALONE",
"nodeKind": "ACCOUNT",
"accountType": "BUYER",
"role": "SUPER_ADMIN",
"membershipRole": "MEMBER",
"parentId": 4503599627370495,
"buyerAccessPosture": "SANDBOX_ONLY"
}
],
"featureFlags": {},
"authProvider": "local",
"emailVerified": true,
"locale": "<string>",
"tos": {
"showTosBox": true,
"canAcceptTos": true,
"latestTosVersion": "<string>",
"acceptedVersion": "<string>",
"tosUpdate": {
"action": "notice",
"changeLevel": "PATCH",
"version": "<string>",
"deadline": "2023-11-07T05:31:56Z"
}
}
},
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
}
}Auth
Accept or decline invitations
POST
/
auth
/
invitations
/
respond
Accept or decline invitations
Authorizations
bearerAuthsessionCookie
API key or OAuth access token.